POST/v1/workspaces/{ws}/connect-sessions
curl -X POST https://zupflow.example.com/v1/workspaces/ws_034a8swzUzvsQ2inuZzZfA/connect-sessions \
-H "Authorization: Bearer $ZUPFLOW_API_KEY" \
-H "Idempotency-Key: $(uuidgen)"
Response201
{
"data": {
"id": "cs_034U88ZkASIVJkEla9Uh7j",
"workspace_id": "ws_034a8swzUzvsQ2inuZzZfA",
"environment": "sandbox",
"app": {
"id": "app_034yLNzn9tcN2FM4UEOmrQ",
"name": "Acme Corp",
"key": "linear",
"owner_scope": "organization",
"icon": {
"glyph": null,
"color": null
},
"auth_type": "oauth2"
},
"target": {
"kind": "channel_app_manager",
"provider": "slack",
"manager": "chmgr_034UNYVNxdX7o7BFB4Y0u2"
},
"intent": "create",
"installation_id": "inst_0342dcXGvZf3hgl01YboFc",
"label": "label",
"status": "pending",
"return_url": "https://example.com/settings/integrations",
"created_at": "2026-10-04T21:04:11.000Z",
"expires_at": "2026-10-04T21:04:11.000Z",
"completed_at": "2026-10-04T21:04:11.000Z",
"failure_code": "failure code",
"auth": {
"type": "oauth2",
"authorize_url": "https://example.com/asset",
"token_url": "https://example.com/asset",
"issuer": "issuer",
"available_scopes": [],
"pkce": true,
"identity_url": "https://example.com/asset"
},
"requested_scopes": [
"requested scopes"
],
"expected_account": {
"external_id": "cus_1042",
"display_name": "display name",
"email": "ada@example.com"
},
"url": "https://example.com/zupflow/webhooks"
},
"meta": {
"pagination": {
"next_cursor": null,
"total": 3
}
},
"error": null
}